aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libe-book/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2015-02-03 07:25:30 +0000
committerTimo Teräs <timo.teras@iki.fi>2015-02-03 17:29:17 +0000
commit2177c9e585594131add64884fe8dfdb1c437dfaa (patch)
tree1e1c652852aee6a1bea61176988f131f74fc0341 /testing/libe-book/APKBUILD
parent114dce15dddc7508e0f51de914837ec9a781c022 (diff)
downloadaports-2177c9e585594131add64884fe8dfdb1c437dfaa.tar.gz
aports-2177c9e585594131add64884fe8dfdb1c437dfaa.tar.bz2
aports-2177c9e585594131add64884fe8dfdb1c437dfaa.tar.xz
testing/libe-book: new aport
Import filter and tools for various ebook formats http://sourceforge.net/projects/libebook/
Diffstat (limited to 'testing/libe-book/APKBUILD')
-rw-r--r--testing/libe-book/APKBUILD56
1 files changed, 56 insertions, 0 deletions
diff --git a/testing/libe-book/APKBUILD b/testing/libe-book/APKBUILD
new file mode 100644
index 0000000000..72a09e41dc
--- /dev/null
+++ b/testing/libe-book/APKBUILD
@@ -0,0 +1,56 @@
+# Contributor: Timo Teräs <timo.teras@iki.fi>
+# Maintainer: Timo Teräs <timo.teras@iki.fi>
+pkgname=libe-book
+pkgver=0.1.2
+pkgrel=0
+pkgdesc="Import filter and tools for various ebook formats"
+url="http://sourceforge.net/projects/libebook/"
+arch="all"
+license="MPL2"
+depends=""
+depends_dev="boost-dev icu-dev librevenge-dev libxml2-dev zlib-dev"
+makedepends="$depends_dev doxygen gperf"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-tools"
+source="http://downloads.sourceforge.net/project/libebook/libe-book-$pkgver/libe-book-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/libe-book-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ update_config_sub
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+tools() {
+ mkdir -p "$subpkgdir"/usr
+ mv "$pkgdir"/usr/bin "$subpkgdir"/usr
+}
+
+md5sums="6b48eda57914e6343efebc9381027b78 libe-book-0.1.2.tar.bz2"
+sha256sums="b710a57c633205b933015474d0ac0862253d1c52114d535dd09b20939a0d1850 libe-book-0.1.2.tar.bz2"
+sha512sums="82982874f9c0f5e400166e9367a4b6017cf11bbd69e2e79240137385a5d68ddea08f13676f8c5d0e983f441de17cda9f4b5f7c90c5cb3515e319de638edf3a38 libe-book-0.1.2.tar.bz2"